Subject: Re: [PATCH] softmac: Fix WX and association related races

From: Michael Buesch <[email-masked]>
Date: Thu, 28 Sep 2006 14:55:53 +0200

On Thursday 28 September 2006 06:09, Larry Finger wrote:
> Michael Buesch wrote:
> > On Wednesday 27 September 2006 18:18, Larry Finger wrote:
> >> Michael Buesch wrote:
> >>> This fixes some race conditions in the WirelessExtension
> >>> handling and association handling code.
> >>>
> >>> Signed-off-by: Michael Buesch <[email-masked]>
> >>>
> >>> ---
> >> This patch doesn't apply.
> > 
> > Oh, linville merged stuff on the 25th. That's the day I updated
> > my tree to do this patch. But seems like I did it just before
> > the merge.
> > Who could suspect that linville merges something. :D
> > *me runs away*
> > 
> > Anyway. Here's an updated patch.
> 
> NACK this version. It applied correctly, but introduced a new problem. My device occasionally gets 
> deauthentication messages from my AP.Preciously, it would do a scan or two, and then reauthenticate. 
> After your patch was applied, it never stops scanning.

Oh, well... It's impossible to completely fix softmac race issues.
I am _not_ going to rewrite huge parts of softmac to get locking
working. If you want this to be fixed, please hack up a solution by
yourself. I'm really not going to do more work on softmac. This
has various reasons. 1) I cannot reproduce all these bugs I'm hunting
2) Time is spent better at d80211 or other projects.

But to debug the problem:
Why do you get deauth messages? Broken AP?
I'd say that it's _correct_ behaviour to stop working
after getting a deauth ;). wpa_supplicant is responsible to re-auth.
Why doesn't it re-auth? Or does it do and it just doesn't work as
expected?

-- 
Greetings Michael.